Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng

# Enum Class FetchType

java.lang.Object
java.lang.Enum<FetchType>
org.firebirdsql.gds.ng.FetchType

All Implemented Interfaces:
  `Serializable`, `Comparable<FetchType>`, `Constable`

public enum FetchType extends Enum<FetchType>
Type of fetch. Parallels P_FETCH from Firebird.

Since:
  5
Author:
  Mark Rotteveel

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ABSOLUTE`
`FIRST`
`LAST`
`NEXT`
`PRIOR`
`RELATIVE`

## Method Summary

Modifier and Type
Method
Description
`abstract FetchDirection`
`direction(int position)`
Determine the direction of a fetch with the specified position.
`int`
`getFbFetchType()`
`boolean`
`supportsBatch()`
`static FetchType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FetchType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NEXT

public static final FetchType NEXT

### PRIOR

public static final FetchType PRIOR

### FIRST

public static final FetchType FIRST

### LAST

public static final FetchType LAST

### ABSOLUTE

public static final FetchType ABSOLUTE

### RELATIVE

public static final FetchType RELATIVE

## Method Details

### values

public static FetchType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FetchType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getFbFetchType

public int getFbFetchType()

Returns:
  Firebird fetch type (P_FETCH)

### supportsBatch

public boolean supportsBatch()

Returns:
  `true` allows batched fetch (multiple rows), `false` if fetching only a single row is allowed

### direction

public abstract FetchDirection direction(int position)
Determine the direction of a fetch with the specified position.

Parameters:
  `position` - Position (only for `ABSOLUTE` or `RELATIVE`)
Returns:
  Fetch direction